Update a catalog variant
https://email.growthdept.ai/api/catalog-variants/{id}Changes the attributes given. Stock and price changes are recorded for back-in-stock, low-inventory and price-drop flows.
The request body can be up to 5 MB.
Rate limits
Scopes
catalogs:write
Operation id
update_catalog_variant The same operation as in Klaviyo's API. OpenAPI document
Path parameters
stringrequired
Query parameters
Pick values to add them to the request:
Body
Send application/vnd.api+json or application/json.
object
dataobjectrequired
data: 5 fields
typestringrequired
catalog-variantidstringrequired
attributesobjectrequired
attributes: 12 fields
titlestringcan be null
descriptionstringcan be null
skustringcan be null
inventory_policyobject
inventory_quantitynumbercan be null
pricenumbercan be null
urlstringcan be null
image_full_urlstringcan be null
image_thumbnail_urlstringcan be null
imagesarray of strings
custom_metadataobject
publishedbooleancan be null
relationshipsobject
metaobject
Edit the example. The code samples use what you type here.
Headers
stringrequireddefault 2026-10-15
API revision, YYYY-MM-DD. This server implements 2026-10-15.
Responses
200Success
Response body
object
dataobjectrequired
data: 5 fields
typestringrequired
catalog-variantidstringrequired
attributesobjectrequired
attributes: 15 fields
external_idstringcan be null
titlestringcan be null
descriptionstringcan be null
skustringcan be null
inventory_policyintegercan be null
012inventory_quantitynumbercan be null
pricenumbercan be null
urlstringcan be null
image_full_urlstringcan be null
image_thumbnail_urlstringcan be null
imagesarray of stringscan be null
custom_metadataobjectcan be null
publishedbooleancan be null
createdstring (date-time)can be null
updatedstring (date-time)can be null
relationshipsobject
relationships: 1 field
itemobject
item: 2 fields
dataobject
data: 2 fields
typestringrequired
catalog-itemidstringrequired
linksobject
links: 2 fields
selfstring (uri)required
relatedstring (uri)required
linksobjectrequired
links: 1 field
selfstring (uri)required
linksobject
links: 1 field
selfstring (uri)required
metaobject
4XXClient error
Response body
object
errorsarray of objectsrequired
errors: 8 fields
idstringrequired
statusintegerrequired
codestringrequired
titlestringrequired
detailstringrequired
sourceobject
source: 2 fields
pointerstring
parameterstring
linksobject
metaobject
See status codes for each code.
5XXServer error
Response body
object
errorsarray of objectsrequired
errors: 8 fields
idstringrequired
statusintegerrequired
codestringrequired
titlestringrequired
detailstringrequired
sourceobject
source: 2 fields
pointerstring
parameterstring
linksobject
metaobject